<?php
/**
* Joomla Community Builder User Plugin: plug_adminonly
* @version $Id$
* @package plug_adminonly
* @subpackage adminonly.xml
* @author Bernhard Zechmann
* @copyright (C) Bernhard Zechmann, www.zechmann.com
* @license Limited  http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @final 1.0
*/
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// Lang defines for testing purpose and alpha status
DEFINE('_UE_MENU_ADMINONLY','Moderator Edit');


/**
 * Basic tab extender. Any plugin that needs to display a tab in the user profile
 * needs to have such a class. Also, currently, even plugins that do not display tabs (e.g., auto-welcome plugin)
 * need to have such a class if they are to access plugin parameters (see $this->params statement).
 */
class getAdminOnlyTab extends cbTabHandler{
	/**
	* Constructor 
	*/
	function getAdminOnlyTab() {
		$this->cbTabHandler();
	}


	/** 
	* Generates the menu and user status to display on the user profile by calling back $this->addMenu 
	* @param object tab reflecting the tab database entry 
	* @param object mosUser reflecting the user being displayed 
	* @param int 1 for front-end, 2 for back-end 
	* @returns boolean : either true, or false if ErrorMSG generated 
	*/ 
	function getMenuAndStatus($tab,$user,$ui) {
		global $my;

		// check if viewing user is a moderator
		$isModerator=isModerator($my->id);
		if (!$isModerator) {
			#mosNotAuth();
			return "";
		}
		if ($isModerator) {
			$option_itemid="";
		    $option_itemid =(isset($_REQUEST['Itemid'])) ? "&amp;Itemid=".cbGetEscaped($_REQUEST['Itemid']) : "";
			$ue_AdminOnly_url ="index.php?option=com_comprofiler&task=userProfile&user=".$user->id.$option_itemid."&act=adminedit";
			
			$mi = array(); $mi["_UE_MENU_ADMINONLY"]["duplique"]=null; 
			$this->addMenu( array( 
				"position"  => "menuBar" ,    				// "menuBar", "menuList" 
				"arrayPos" => $mi , 
				"caption" => _UE_MENU_ADMINONLY , 			// e.g. _UE_MENU_MANAGEMYCONNECTIONS 
				"url"  => sefRelToAbs($ue_AdminOnly_url) ,	// can also be "<a ....>" or "javascript:void(0)" or "" 
				"target"  => "" ,  							// e.g. "_blank" 
				"img"    => null ,  						// e.g. "<img src='plugins/user/myplugin/images/icon.gif' width='16' height='16' alt='' />" 
				"alt"    => null ,  						// e.g. "text" 
				"tooltip" => "" ,   						// e.g. _UE_MENU_MANAGEMYCONNECTIONS_DESC 
				"keystroke"  => null ) 						// e.g. "P" 
			); 
		}
	} 


	function getEditTab($tab,$user,$ui) {
		if ($ui==1) {
			#print_r($user);
			return;
		}
	} // end of function

	
	function getDisplayTab($tab,$user,$ui) {
		global $my;
	
		// check if shown user is a registered user
		if(intval($user->id) < 1) {
			mosNotAuth();
			return false;
		}
		// check if viewing user is a moderator
		$isModerator=isModerator($my->id);
		if (!$isModerator) {
			#mosNotAuth();
			return "";
		}
		if ($isModerator) {
			$option_adminedit="";
		    $option_adminedit=(isset($_REQUEST['act'])) ? "&amp;act=".cbGetEscaped($_REQUEST['act']) : "";
			#print $option_adminedit;
			if ($option_adminedit) {
				return userEdit( $option, $user->id, "Admin: Apply changes", null );
			} 
		}
	} // end of function

	
	function saveEditTab($tab, $user, $ui, $postdata) {
		if(intval($user->id) < 1) {
			mosNotAuth();
			return false;
		}
		if ( $ui == 1 )	{
			$return  = "<p>Front-end.</p>";
			return $return;
		} elseif ( $ui == 2 ) {
			$return = "<p>Back-end</p>";
			return $return;
		}
	} // end of function
	
} // end of getAdminOnlyTab class

?>

